Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Drools Planner distribution 6.0.0.Alpha9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.drools.planner.core.localsearch.event
Interface LocalSearchSolverPhaseLifecycleListener

All Superinterfaces:
  EventListener, SolverLifecycleListener

All Known Subinterfaces:
  Acceptor, Decider, DeciderScoreComparatorFactory, Forager

All Known Implementing Classes:
  AbstractAcceptor, AbstractDeciderScoreComparatorFactory, AbstractForager, AbstractTabuAcceptor, AcceptedForager, CompositeAcceptor, DefaultDecider, DefaultLocalSearchSolverPhase, GreatDelugeAcceptor, LateAcceptanceAcceptor, LegacySimulatedAnnealingAcceptor, LocalSearchSolverPhaseLifecycleListenerAdapter, MoveTabuAcceptor, NaturalDeciderScoreComparatorFactory, PlacerForager, PlanningEntityTabuAcceptor, PlanningValueTabuAcceptor, ShiftingHardPenaltyDeciderScoreComparatorFactory, SimulatedAnnealingAcceptor, SolutionTabuAcceptor

    public interface LocalSearchSolverPhaseLifecycleListener

extends SolverLifecycleListener

Method Summary
`void` | `phaseEnded(LocalSearchSolverPhaseScope localSearchSolverPhaseScope)`
`void` | `phaseStarted(LocalSearchSolverPhaseScope localSearchSolverPhaseScope)`
`void` | `stepEnded(LocalSearchStepScope localSearchStepScope)`
`void` | `stepStarted(LocalSearchStepScope localSearchStepScope)`

Methods inherited from interface org.drools.planner.core.solver.event.SolverLifecycleListener
`solvingEnded, solvingStarted`

Method Detail

### phaseStarted

    void phaseStarted(LocalSearchSolverPhaseScope localSearchSolverPhaseScope)

### stepStarted

    void stepStarted(LocalSearchStepScope localSearchStepScope)

### stepEnded

    void stepEnded(LocalSearchStepScope localSearchStepScope)

### phaseEnded

    void phaseEnded(LocalSearchSolverPhaseScope localSearchSolverPhaseScope)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Drools Planner distribution 6.0.0.Alpha9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.